<?php
/**
 * WWE LTL Woo Changes
 * 
 * @package     WWE LTL Quotes
 * @author      Eniture-Technology
 */  
    if ( ! defined( 'ABSPATH' ) ) {
	exit; 
    }
/**
 * Class Woo_Update_Changes
 */
    class EnWooAddonsAddresses {
        
        /**
         * woocommerce
         * @var array type 
         */
        public $WooVersion;
        
        
        /**
         * Constructor
         */
        function __construct() 
        {
            if (!function_exists('get_plugins'))
            {
                require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
                $plugin_folder = get_plugins('/' . 'woocommerce');
                $plugin_file = 'woocommerce.php';
                $this->WooVersion = $plugin_folder[$plugin_file]['Version'];
            }
        }
        
        /**
         * Postcode
         * @return string type 
         */
        function addons_postcode()
        {
            $postcode = "";
            switch ($this->WooVersion) {
                case ($this->WooVersion <= '2.7'):
                    $postcode = WC()->customer->get_postcode();
                    break;
                case ($this->WooVersion >= '3.0'):
                    $postcode = WC()->customer->get_billing_postcode();
                    break;

                default:

                    break;
            }

            return $postcode;
        }
        
        /**
         * State
         * @return string type
         */
        function addons_getState()
        { 
            $sState = "";
            switch ($this->WooVersion) 
            {  
                case ($this->WooVersion <= '2.7'):
                    $sState = WC()->customer->get_state();
                    break;
                
                case ($this->WooVersion >= '3.0'):
                    $sState = WC()->customer->get_billing_state();
                    break;

                default:
                    break;
            }
            return $sState;
        }
        
        /**
         * City
         * @return string type
         */
        function addons_getCity()
        { 
            $sCity = "";
            switch ($this->WooVersion) 
            {  
                case ($this->WooVersion <= '2.7'):
                    $sCity = WC()->customer->get_city();
                    break;
                
                case ($this->WooVersion >= '3.0'):
                    $sCity = WC()->customer->get_billing_city();
                    break;

                default:
                    break;
            }
            return $sCity;
        }
        
        /**
         * Country
         * @return string type
         */
        function addons_getCountry()
        { 
            $sCountry = "";
            switch ($this->WooVersion) 
            {  
                case ($this->WooVersion <= '2.7'):
                    $sCountry = WC()->customer->get_country();
                    break;
                case ($this->WooVersion >= '3.0'):
                    $sCountry = WC()->customer->get_billing_country();
                    break;

                default:
                    break;
            }
            return $sCountry;
        }
        
        /**
         * Address
         * @return string type
         */
        function addons_getAddress1()
        { 
            $sAddress = "";
            switch ($this->WooVersion) 
            {  
                case ($this->WooVersion <= '2.7'):
                    $sAddress = WC()->customer->get_address();
                    break;
                case ($this->WooVersion >= '3.0'):
                    $sAddress = WC()->customer->get_billing_address_1();
                    break;

                default:
                    break;
            }
            return $sAddress;
        }
        
        /**
         * Address
         * @return string type
         */
        function addons_getAddress2()
        { 
            $sAddress = "";
            switch ($this->WooVersion) 
            {  
                case ($this->WooVersion <= '2.7'):
                    $sAddress = WC()->customer->get_address_2();
                    break;
                case ($this->WooVersion >= '3.0'):
                    $sAddress = WC()->customer->get_billing_address_2();
                    break;

                default:
                    break;
            }
            return $sAddress;
        }
}