<?php

/**
 * Includes Ajax Request class
 */
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists("EnWooAddonsCurlReqIncludes")) {

    class EnWooAddonsCurlReqIncludes extends EnWooAddonsFormHandler {

        public $plugin_standards;
        public $plugin_license_key;

        /**
         * construct
         */
        public function __construct() {
            
        }

        /**
         * Smart street curl api response from server 
         * @param type $action
         * @return type
         */
        public function smart_street_api_curl_request($action, $plugin_name = "", $selected_plan = "") {

            if (isset($plugin_name) && (!empty($plugin_name))) {

                $this->plugin_standards = array("plugin_name" => $plugin_name);
            }

            $plugin_standards = $this->plugin_standards;
            $plugin_dependies = $this->plugins_dependencies();
            $plugin_dependies = $plugin_dependies[$plugin_standards['plugin_name']];
            $this->plugin_license_key = get_option($this->get_arr_filterd_val($plugin_dependies['license_key']));
            
            $postArr = array(
                'platform' => 'Wordpress',
                'version' => '1.0',
                'requestKey' => md5(microtime() . rand()),
                'action' => $action,
                'package' => (isset($selected_plan) && (!empty($selected_plan))) ? $selected_plan : "",
               	'serverName' => $_SERVER['SERVER_NAME'],
                'licenseKey' => $this->plugin_license_key,
            );

            /* Check if URL contains folder */
            if ($this->en_check_url_contains_folder()) {
                $postArr['webHookUrl'] = get_site_url();
            }
           
            $field_string = http_build_query($postArr);
            $ch = curl_init();
            // set url
            curl_setopt($ch, CURLOPT_URL, "https://eniture.com/ws/addon/smartStreetApi/index.php");
            // send curl value by post method
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $field_string);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array('Expect:'));
            curl_setopt($ch, CURLOPT_FAILONERROR, 1);
            //return the transfer as a string
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            // $output contains the output string
            $output = curl_exec($ch);
           
            return $output;
        }

        /**
         * Function detect site contains folder.
         */
        public function en_check_url_contains_folder()
        {
            $url = get_site_url();
            $url = preg_replace('#^https?://#', '', $url);
            $urlArr = explode("/", $url);
            if (isset($urlArr[1]) && !empty($urlArr[1])) {
                return true;
            }
            return false;
        }

    }

    new EnWooAddonsCurlReqIncludes();
}