<?php

/**
 * Includes Form Hanlder
 */
if (!defined('ABSPATH')) {
    exit;
}

if (!class_exists("EnWooAddonsGenrtRequestKey")) {

    class EnWooAddonsGenrtRequestKey {

        public function __construct() {

            add_action('init', array($this, "register_session"));
            add_action('woocommerce_checkout_order_processed', array($this, "unset_session_request_key"), 1);
        }

        /**
         * Verify session exist or not 
         */
        public function en_woo_addons_genrt_request_key() {
            $this->register_session();
            (isset($_SESSION['session_request_key']) && (!empty($_SESSION['session_request_key']))) ? $this->get_session_request_key() : $this->set_session_request_key();
        }

        /**
         * Rtrn session request key for carrier request
         * @return string type
         */
        public function get_session_request_key() {

            return $_SESSION['session_request_key'];
        }

        /**
         * unset session request key when user place order
         */
        public function unset_session_request_key() {

            if (isset($_SESSION['session_request_key'])) {

                unset($_SESSION['session_request_key']);
                //session_destroy();
            }
        }

        /**
         * Generate session request key
         * @return string type
         */
        public function set_session_request_key() {

            $requestKey = md5(microtime() . rand());
            $_SESSION['session_request_key'] = $requestKey;
            return $_SESSION['session_request_key'];
        }

        /**
         * Start session function
         */
        public function register_session() {

            if (!session_id()){
                session_start();
                }
        }

    }

    new EnWooAddonsGenrtRequestKey();
}