jQuery(document).ready(function () {

    

//    =============== Add classes for further style css  ===============
    jQuery(".en_woo_addons_always_include_residential_fee").closest('tr').addClass('en_woo_addons_always_include_residential_fee_style');
    jQuery("#residential_delivery_options_label_heading").closest('tr').addClass('residential_delivery_options_label_heading_style');
    jQuery(".en_default_unconfirmed_address_types_to").closest('tr').addClass('en_default_unconfirmed_address_types_to_style');
    jQuery("#residential_delivery_options_label_description").closest('tr').addClass('residential_delivery_options_label_description_style');
    jQuery("#suspend_automatic_detection_of_residential_addresses").closest('tr').addClass('suspend_automatic_detection_of_residential_addresses_style');
    jQuery("#auto_residential_delivery_plan_auto_renew").closest('tr').addClass('residential_delivery_options_plans_style');
    jQuery("#residential_delivery_current_subscription").closest('tr').addClass('residential_delivery_current_subscription_style');
    jQuery("#residential_delivery_current_usage").closest('tr').addClass('residential_delivery_current_usage_style');
    jQuery("#residential_delivery_plugin_name").closest('tr').addClass('residential_delivery_plugin_name_style');
    jQuery("#residential_delivery_subscription_status").closest('tr').addClass('residential_delivery_subscription_status_style');


       

    /**
     * when user switch from disable to plan popup hide
     * @returns {jQuery}
     */
    var en_woo_addons_popup_notifi_disabl_to_plan_hide = function ()
    {
        return jQuery(".sm_notification_disable_to_plan_overlay").css({visibility: "hidden", opacity: "0"});
    };

    /**
     * when user switch from disable to plan popup show
     * @returns {jQuery}
     */
    var en_woo_addons_popup_notifi_disabl_to_plan_show = function ()
    {
        var selected_plan = jQuery("#auto_residential_delivery_plan_auto_renew").find("option:selected").text();
        jQuery("#selected_plan_popup").text(selected_plan);
        return jQuery(".sm_notification_disable_to_plan_overlay").css({visibility: "visible", opacity: "1"});
    };

    /**
     * when user from disable to plan popup actions
     * @returns {undefined}
     */

    jQuery(".cancel_plan").on('click', function ()
    {
        en_woo_addons_popup_notifi_disabl_to_plan_hide();
        jQuery('#auto_residential_delivery_plan_auto_renew').prop('selectedIndex', 0);
        return false;
    });

    jQuery(".confirm_plan").on('click', function ()
    {
        var params = "";
        en_woo_addons_popup_notifi_disabl_to_plan_hide();
        var monthly_pckg = jQuery("#auto_residential_delivery_plan_auto_renew").val();
        var plugin_name = jQuery("#residential_delivery_plugin_name").attr("placeholder");
        var data = {plugin_name: plugin_name, selected_plan: monthly_pckg, action: 'en_woo_addons_upgrade_plan_submit'};
        params = {
            loading_id: "auto_residential_delivery_plan_auto_renew",
            message_id: "plan_to_disable_message",
            message_ph: " Success! Your choice of plans has been updated. "
        };
        ajax_request(params, data, monthly_packg_response);
        return false;
    });

    var monthly_packg_response = function (params, response) {

        var parsRes = jQuery.parseJSON(response);
        if (parsRes.severity == "SUCCESS") {

            jQuery("#auto_residential_delivery_plan_auto_renew option[value='TR']").remove();

            if (typeof parsRes.subscription_packages_response != 'undefined' && parsRes.subscription_packages_response == "yes")
            {
                jQuery("#residential_delivery_current_subscription").next('.description').html(parsRes.current_subscription);
                jQuery("#residential_delivery_current_usage").next('.description').html(parsRes.current_usage);
                jQuery("#residential_delivery_subscription_status").attr("placeholder", "yes");
                jQuery("#suspend_automatic_detection_of_residential_addresses").prop('disabled', false);
            }
            if (typeof params.message_ph != 'undefined' && params.message_ph.length > 0)
            {
                jQuery(".en_woo_addons_always_include_residential_fee").closest('tr').after(' <tr><td colspan="2"><div class="alert-plan-messages alert-success auto_resid_package_msg">  ' + params.message_ph + ' </div> </td> </tr>');
            }
            suspend_automatic_detection();
        } else {
            jQuery(".en_woo_addons_always_include_residential_fee").closest('tr').after(' <tr><td colspan="2"><div class="alert-plan-messages alert-danger auto_resid_package_msg">  ' + parsRes.Message + ' </div> </td> </tr>');
            jQuery('#auto_residential_delivery_plan_auto_renew').prop('selectedIndex', 0);
        }
        jQuery("#auto_residential_delivery_plan_auto_renew").focus();
    };

    /**
     * monthly package select actions 
     * @param {type} monthly_pckg
     * @returns {Boolean}
     */
    var en_woo_addons_monthly_packg = function (monthly_pckg)
    {
        jQuery(".auto_resid_package_msg").closest('tr').remove();
        var plugin_name = jQuery("#residential_delivery_plugin_name").attr("placeholder");
//        alert(plugin_name);
        var data = {plugin_name: plugin_name, selected_plan: monthly_pckg, action: 'en_woo_addons_upgrade_plan_submit'};
        var params = "";
        if (window.existing_plan == "disable") {

            en_woo_addons_popup_notifi_disabl_to_plan_show();
            return false;
        }
        else if (monthly_pckg == "disable") {

            params = {
                loading_id: "auto_residential_delivery_plan_auto_renew",
                disabled_id: "auto_residential_delivery_plan_auto_renew",
                message_ph: " You have disabled the Residential Address Detection plugin. The plugin will stop working when the current plan is depleted or expires."
            };
        } else {

            params = {
                loading_id: "auto_residential_delivery_plan_auto_renew",
                disabled_id: "auto_residential_delivery_plan_auto_renew",
                message_ph: " Success! Your choice of plans has been updated. "
            };
        }
        ajax_request(params, data, monthly_packg_response);
    };

    var suspend_automatic_detection = function(params = "", response = "")
    {
        var selected_plan = jQuery("#auto_residential_delivery_plan_auto_renew").val();
        window.existing_plan = selected_plan;
        var suspend_automatic = jQuery("#suspend_automatic_detection_of_residential_addresses").prop("checked");
        var subscription_status = jQuery("#residential_delivery_subscription_status").attr("placeholder");
        if (subscription_status == "yes")
        {
            jQuery(".residential_delivery_options_plans_style th label").text("Auto-renew");
            if (suspend_automatic) {
                jQuery(".en_woo_addons_always_include_residential_fee").prop('disabled', false);
                jQuery("#en_woo_addons_liftgate_with_auto_residential").prop({checked: false, disabled: true});
            } else {
                jQuery(".en_woo_addons_always_include_residential_fee").prop({checked: false, disabled: true});
                if (subscription_status == "yes") {
                    jQuery("#en_woo_addons_liftgate_with_auto_residential").prop('disabled', false);
                }
            }
        } else {
            jQuery(".residential_delivery_options_plans_style th label").text("Select a plan");
            jQuery("#suspend_automatic_detection_of_residential_addresses").prop({checked: false, disabled: true});
            jQuery("#en_woo_addons_liftgate_with_auto_residential").prop({checked: false, disabled: true});
        }
    }
    ;

    /**
     * existing user plan for auto residential detection
     * @param {type} params
     * @param {type} data
     * @param {type} call_back_function
     * @returns {undefined}
     */
    suspend_automatic_detection();

    function ajax_request(params, data, call_back_function)
    {
        jQuery.ajax({
            type: "POST",
            url: ajaxurl,
            data: data,
            beforeSend: function () {
                (typeof params.loading_id != 'undefined' && params.loading_id.length > 0) ? jQuery("#" + params.loading_id).css('background', 'rgba(255, 255, 255, 1) url(' + plugins_url + '/residential-address-detection/admin/assets/images/processing.gif) no-repeat scroll 50% 50%') : "";
                (typeof params.disabled_id != 'undefined' && params.disabled_id.length > 0) ? jQuery("#" + params.disabled_id).prop({disabled: true}) : "";
                (typeof params.loading_msg != 'undefined' && params.loading_msg.length > 0 && typeof params.disabled_id != 'undefined' && params.disabled_id.length > 0) ? jQuery("#" + params.disabled_id).after(params.loading_msg) : "";
            },
            success: function (response)
            {
                console.log(response);
                jQuery('.notice-dismiss-residential-php').remove();
                
                (typeof params.loading_id != 'undefined' && params.loading_id.length > 0) ? jQuery("#" + params.loading_id).css('background', '#fff') : "";
                (typeof params.loading_id != 'undefined' && params.loading_id.length > 0) ? jQuery("#" + params.loading_id).focus() : "";
                (typeof params.disabled_id != 'undefined' && params.disabled_id.length > 0) ? jQuery("#" + params.disabled_id).prop({disabled: false}) : "";
                (typeof params.loading_msg != 'undefined' && params.loading_msg.length > 0 && typeof params.disabled_id != 'undefined' && params.disabled_id.length > 0) ? jQuery("#" + params.disabled_id).next('.suspend-loading').remove() : "";
                return call_back_function(params, response);
            },
            error: function () {
                console.log('error');
            }
        });
    }

    /**
     * plan change function for auto residential detection
     */
    jQuery("#auto_residential_delivery_plan_auto_renew").on('change', function ()
    {
        en_woo_addons_monthly_packg(jQuery(this).val());
        return false;
    });

    var suspend_automatic_detection_params = function ()
    {
        return  {
            loading_msg: " <span class='suspend-loading'>Loading ...</span>",
            disabled_id: "suspend_automatic_detection_of_residential_addresses",
        };
    };

    var suspend_automatic_detection_anable = function ()
    {
        return  {
            suspend_automatic_detection_of_residential_addresses: "yes",
            en_woo_addons_liftgate_with_auto_residential: "no",
            action: "suspend_automatic_detection",
        };
    };

    var suspend_automatic_detection_disabled = function ()
    {
        var always_include_residential_ind = jQuery(".en_woo_addons_always_include_residential_fee").attr("id");
        return  {
            always_include_residential_ind: always_include_residential_ind,
            always_include_residential_val: "no",
            suspend_automatic_detection_of_residential_addresses: "no",
            action: "suspend_automatic_detection"
        };
    };

    jQuery("#suspend_automatic_detection_of_residential_addresses").on('click', function ()
    {
        var data = "";
        var params = "";
        if (this.checked) {
            data = suspend_automatic_detection_anable();
            params = suspend_automatic_detection_params();
        } else {
            data = suspend_automatic_detection_disabled();
            params = suspend_automatic_detection_params();
        }
        ajax_request(params, data, suspend_automatic_detection);
    });

});

